# Common types

## GraphQL partial SDLs

This is a graphql reference page. In the llms.txt variant, those components link to the shared partial SDL key list instead of trying to resolve inline GraphQL reference content.

Fetch all available partial SDL keys first:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:returnTypesList
```

Then fetch the one or more relevant partial SDL with a key from that list by calling the same endpoint with a schema ID:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:schema:<key>
```

The response body is a JSON object keyed by the requested content ID. For example, the key-list request returns a `ctp:gql-sphere:returnTypesList` field and a schema request returns a `ctp:gql-sphere:schema:<key>` field.

**GraphQL types of the Sphere schema that are shared across multiple types and operations.**

#### KeyReference

[fetch SDL for type KeyReference](#graphql-partial-sdls).

#### KeyReferenceInput

[fetch SDL for type KeyReferenceInput](#graphql-partial-sdls).

#### Reference

[fetch SDL for type Reference](#graphql-partial-sdls).

#### ReferenceExpandable

[fetch SDL for type ReferenceExpandable](#graphql-partial-sdls).

#### ReferenceInput

[fetch SDL for type ReferenceInput](#graphql-partial-sdls).

#### ResourceIdentifier

[fetch SDL for type ResourceIdentifier](#graphql-partial-sdls).

#### ResourceIdentifierInput

[fetch SDL for type ResourceIdentifierInput](#graphql-partial-sdls).

#### BaseMoney

[fetch SDL for type BaseMoney](#graphql-partial-sdls).

#### Money

[fetch SDL for type Money](#graphql-partial-sdls).

#### HighPrecisionMoney

[fetch SDL for type HighPrecisionMoney](#graphql-partial-sdls).

#### Date

[fetch SDL for type Date](#graphql-partial-sdls).

#### Time

[fetch SDL for type Time](#graphql-partial-sdls).

#### DateTime

[fetch SDL for type DateTime](#graphql-partial-sdls).

#### YearMonth

[fetch SDL for type YearMonth](#graphql-partial-sdls).

#### Country

[fetch SDL for type Country](#graphql-partial-sdls).

#### Currency

[fetch SDL for type Currency](#graphql-partial-sdls).

#### CurrencyCode

[fetch SDL for type CurrencyCode](#graphql-partial-sdls).

#### Locale

[fetch SDL for type Locale](#graphql-partial-sdls).

#### LocalizedEnumValueDraft

[fetch SDL for type LocalizedEnumValueDraft](#graphql-partial-sdls).

#### LocalizedString

[fetch SDL for type LocalizedString](#graphql-partial-sdls).

#### LocalizedStringItemInputType

[fetch SDL for type LocalizedStringItemInputType](#graphql-partial-sdls).

#### Address

[fetch SDL for type Address](#graphql-partial-sdls).

#### AddressDraft

[fetch SDL for type AddressDraft](#graphql-partial-sdls).

#### AddressInput

[fetch SDL for type AddressInput](#graphql-partial-sdls).

#### Asset

[fetch SDL for type Asset](#graphql-partial-sdls).

#### AssetSource

[fetch SDL for type AssetSource](#graphql-partial-sdls).

#### AssetDimensions

[fetch SDL for type AssetDimensions](#graphql-partial-sdls).

#### Image

[fetch SDL for type Image](#graphql-partial-sdls).

#### Dimensions

[fetch SDL for type Dimensions](#graphql-partial-sdls).

#### CustomFieldsCommand

[fetch SDL for type CustomFieldsCommand](#graphql-partial-sdls).

#### CustomFieldsType

[fetch SDL for type CustomFieldsType](#graphql-partial-sdls).

#### CustomFieldInput

[fetch SDL for type CustomFieldInput](#graphql-partial-sdls).

#### CustomFieldsDraft

[fetch SDL for type CustomFieldsDraft](#graphql-partial-sdls).

#### RawCustomField

[fetch SDL for type RawCustomField](#graphql-partial-sdls).

#### Initiator

[fetch SDL for type Initiator](#graphql-partial-sdls).

#### Attribution

[fetch SDL for type Attribution](#graphql-partial-sdls).

#### AttributionSource

[fetch SDL for type AttributionSource](#graphql-partial-sdls).

#### SearchValueType

[fetch SDL for type SearchValueType](#graphql-partial-sdls).

#### BigDecimal

[fetch SDL for type BigDecimal](#graphql-partial-sdls).

#### Long

[fetch SDL for type Long](#graphql-partial-sdls).

#### Json

[fetch SDL for type Json](#graphql-partial-sdls).

#### JsonPrimitive

[fetch SDL for type JsonPrimitive](#graphql-partial-sdls).

## Related pages

- [Search documentation and API specs](/search.md)